Skip to main content
GET
/
marketing
/
campaigns
/
2026-03
Retrieve campaigns
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03 \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

A cursor token for pagination. Use the value from the previous response's paging.next.after field to get the next page of results.

limit
integer<int32>

The maximum number of results to return per page.

name
string

A string to filter campaigns by name.

properties
string[]

A comma-separated list of property names to include in the response.

sort
string

A string to specify the sorting order of the results.

Response

successful operation

results
object[]
required

An array of PublicCampaign objects, each representing a campaign with its associated properties.

total
integer<int32>
required

An integer representing the total number of public campaigns available.

paging
object
Last modified on March 30, 2026